Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

Running "yum update" and it gets to installing and then breaks. Not sure what the problem is. Google shows nothing.

Error in POSTIN scriptlet in rpm package gtk2-2.18.9-10.el6.x86_64
error: error creating temporary file /var/tmp/rpm-tmp.NB84HC: Invalid argument
error: Couldn't create temporary file for %post(gtk2-2.18.9-10.el6.x86_64): Invalid argument
  Updating   : e2fsprogs-libs-1.41.12-12.el6.x86_64                                                                                                                   44/378
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/yum/rpmtrans.py", line 387, in callback
    self._instCloseFile(  bytes, total, h )
  File "/usr/lib/python2.6/site-packages/yum/rpmtrans.py", line 463, in _instCloseFile
    self.base.history.trans_data_pid_end(pid, state)
  File "/usr/lib/python2.6/site-packages/yum/history.py", line 858, in trans_data_pid_end
    """, ('TRUE', self._tid, pid, state))
  File "/usr/lib/python2.6/site-packages/yum/sqlutils.py", line 168, in executeSQLQmark
    return cursor.execute(query, params)
sqlite3.OperationalError: unable to open database file
error: python callback <bound method RPMTransaction.callback of <yum.rpmtrans.RPMTransaction instance at 0x45c2290>> failed, aborting!

With a check all:

yum check
Loaded plugins: fastestmirror, rhnplugin, security
MySQL-client-5.5.27-1.cp.1132.x86_64 is obsoleted by MySQL-client-5.5.27-1.cp.1132.x86_64
MySQL-server-5.5.27-1.cp.1132.x86_64 is obsoleted by MySQL-server-5.5.27-1.cp.1132.x86_64
abrt-libs-2.0.8-6.el6.x86_64 is a duplicate with abrt-libs-2.0.4-14.el6.centos.x86_64
audit-libs-2.2-2.el6.x86_64 is a duplicate with audit-libs-2.1.3-3.el6.x86_64
bandmin-1.6.1-5.noarch has missing requires of perl(bandmin.conf)
bandmin-1.6.1-5.noarch has missing requires of perl(bmversion.pl)
bandmin-1.6.1-5.noarch has missing requires of perl(services.conf)
32:bind-libs-9.8.2-0.10.rc1.el6_3.3.x86_64 is a duplicate with 32:bind-libs-9.7.3-8.P3.el6_2.2.x86_64
cagefs-safebin-3.6-6.el6.cloudlinux.x86_64 is a duplicate with cagefs-safebin-3.5-1.el6.cloudlinux.x86_64
chkconfig-1.3.49.3-2.el6.x86_64 is a duplicate with chkconfig-1.3.49.3-1.el6_2.x86_64
cloudlinux-release-6-6.3.0.x86_64 is a duplicate with cloudlinux-release-6-6.2.2.x86_64
coreutils-8.4-19.el6.x86_64 is a duplicate with coreutils-8.4-16.el6.x86_64
coreutils-libs-8.4-19.el6.x86_64 is a duplicate with coreutils-libs-8.4-16.el6.x86_64
1:cups-libs-1.4.2-48.el6_3.1.x86_64 is a duplicate with 1:cups-libs-1.4.2-44.el6_2.3.x86_64
1:dbus-libs-1.2.24-7.el6_3.x86_64 is a duplicate with 1:dbus-libs-1.2.24-5.el6_1.x86_64
12:dhcp-common-4.1.1-31.P1.el6_3.1.x86_64 is a duplicate with 12:dhcp-common-4.1.1-25.P1.el6_2.1.x86_64
e2fsprogs-libs-1.41.12-12.el6.x86_64 is a duplicate with e2fsprogs-libs-1.41.12-11.el6.x86_64
exim-4.80-0.x86_64 has missing requires of perl(SafeFile)
expat-2.0.1-11.el6_2.x86_64 is a duplicate with expat-2.0.1-9.1.el6.x86_64
frontpage-2002-SR1.2.i386 has missing requires of libexpat.so.0
gawk-3.1.7-10.el6.x86_64 is a duplicate with gawk-3.1.7-9.el6.x86_64
glib2-2.22.5-7.el6.x86_64 is a duplicate with glib2-2.22.5-6.el6.x86_64
glibc-2.12-1.80.el6_3.5.x86_64 is a duplicate with glibc-2.12-1.47.el6_2.12.x86_64
glibc-common-2.12-1.80.el6_3.5.x86_64 is a duplicate with glibc-common-2.12-1.47.el6_2.12.x86_64
gtk2-2.18.9-10.el6.x86_64 is a duplicate with gtk2-2.18.9-6.el6.centos.x86_64
kernel-firmware-2.6.32-320.4.1.lve1.1.4.el6.noarch is obsoleted by kernel-firmware-2.6.32-320.4.1.lve1.1.4.el6.noarch
kernel-firmware-2.6.32-320.4.1.lve1.1.4.el6.noarch is obsoleted by kernel-firmware-2.6.32-379.5.1.lve1.1.9.6.1.el6.noarch
kernel-firmware-2.6.32-379.5.1.lve1.1.9.6.1.el6.noarch is a duplicate with kernel-firmware-2.6.32-320.4.1.lve1.1.4.el6.noarch
kernel-firmware-2.6.32-379.5.1.lve1.1.9.6.1.el6.noarch is obsoleted by kernel-firmware-2.6.32-320.4.1.lve1.1.4.el6.noarch
kernel-firmware-2.6.32-379.5.1.lve1.1.9.6.1.el6.noarch is obsoleted by kernel-firmware-2.6.32-379.5.1.lve1.1.9.6.1.el6.noarch
kernel-headers-2.6.32-379.5.1.lve1.1.9.6.1.el6.x86_64 is a duplicate with kernel-headers-2.6.32-320.4.1.lve1.1.4.el6.x86_64
keyutils-libs-1.4-4.el6.x86_64 is a duplicate with keyutils-libs-1.4-3.el6.x86_64
krb5-libs-1.9-33.el6_3.3.x86_64 is a duplicate with krb5-libs-1.9-22.el6_2.1.x86_64
libblkid-2.17.2-12.7.el6.x86_64 is a duplicate with libblkid-2.17.2-12.4.el6.x86_64
libcom_err-1.41.12-12.el6.x86_64 is a duplicate with libcom_err-1.41.12-11.el6.x86_64
libgcc-4.4.6-4.el6.x86_64 is a duplicate with libgcc-4.4.6-3.el6.x86_64
libselinux-2.0.94-5.3.el6.x86_64 is a duplicate with libselinux-2.0.94-5.2.el6.x86_64
libstdc++-4.4.6-4.el6.x86_64 is a duplicate with libstdc++-4.4.6-3.el6.x86_64
libtiff-3.9.4-6.el6_3.x86_64 is a duplicate with libtiff-3.9.4-5.el6_2.x86_64
libudev-147-2.42.el6.x86_64 is a duplicate with libudev-147-2.40.el6.x86_64
libuuid-2.17.2-12.7.el6.x86_64 is a duplicate with libuuid-2.17.2-12.4.el6.x86_64
libxml2-2.7.6-8.el6_3.3.x86_64 is a duplicate with libxml2-2.7.6-4.el6_2.4.x86_64
nspr-4.9.1-2.el6_3.x86_64 is a duplicate with nspr-4.8.9-3.el6_2.x86_64
nss-util-3.13.5-1.el6_3.x86_64 is a duplicate with nss-util-3.13.1-3.el6_2.x86_64
openssl-1.0.0-25.el6_3.1.x86_64 is a duplicate with openssl-1.0.0-20.el6_2.5.x86_64
python-2.6.6-29.el6_3.3.x86_64 is a duplicate with python-2.6.6-29.el6.x86_64
python-libs-2.6.6-29.el6_3.3.x86_64 is a duplicate with python-libs-2.6.6-29.el6.x86_64
readline-6.0-4.el6.x86_64 is a duplicate with readline-6.0-3.el6.x86_64
sed-4.2.1-10.el6.x86_64 is a duplicate with sed-4.2.1-7.el6.x86_64
tzdata-2012c-3.el6.noarch is a duplicate with tzdata-2012c-1.el6.noarch
xmlrpc-c-1.16.24-1209.1840.el6.x86_64 is a duplicate with xmlrpc-c-1.16.24-1200.1840.el6_1.4.x86_64
xmlrpc-c-client-1.16.24-1209.1840.el6.x86_64 is a duplicate with xmlrpc-c-client-1.16.24-1200.1840.el6_1.4.x86_64
Error: check all

Tried:

#rm /var/lib/rpm/__db*
#rpm --rebuilddb
#yum clean all

Tried also running

yum-complete-transaction

still won't finish the update.

ls -ld /var/tmp/
drwxrwxrwt. 20 root root 12288 Oct  3 18:44 /var/tmp/

 df -h /var/tmp/
Filesystem            Size  Used Avail Use% Mounted on
/tmp                  3.9G  1.2G  2.6G  32% /var/tmp

Latest errors:

Error: Protected multilib versions: libgcc-4.4.6-4.el6.i686 != libgcc-4.4.6-3.el6.x86_64
Error: Protected multilib versions: glibc-2.12-1.80.el6_3.5.i686 != glibc-2.12-1.47.el6_2.12.x86_64

EDITED:

yum repolist
Loaded plugins: fastestmirror, rhnplugin, security
Loading mirror speeds from cached hostfile
 * cloudlinux-x86_64-server-6: cl.banahosting.com
repo id                                                                          repo name                                                                         status
cloudlinux-x86_64-server-6                                                       CloudLinux Server 6 x86_64                                                        10,948+725
repolist: 10,948

[~]# package-cleanup --dupes
Loaded plugins: fastestmirror, rhnplugin
xmlrpc-c-client-1.16.24-1209.1840.el6.x86_64
xmlrpc-c-client-1.16.24-1200.1840.el6_1.4.x86_64
bind-libs-9.7.3-8.P3.el6_2.2.x86_64
bind-libs-9.8.2-0.10.rc1.el6_3.3.x86_64
libblkid-2.17.2-12.4.el6.x86_64
libblkid-2.17.2-12.7.el6.x86_64
libtiff-3.9.4-5.el6_2.x86_64
libtiff-3.9.4-6.el6_3.x86_64
audit-libs-2.1.3-3.el6.x86_64
audit-libs-2.2-2.el6.x86_64
libstdc++-4.4.6-3.el6.x86_64
libstdc++-4.4.6-4.el6.x86_64
sed-4.2.1-10.el6.x86_64
sed-4.2.1-7.el6.x86_64
python-libs-2.6.6-29.el6_3.3.x86_64
python-libs-2.6.6-29.el6.x86_64
coreutils-libs-8.4-16.el6.x86_64
coreutils-libs-8.4-19.el6.x86_64
libudev-147-2.40.el6.x86_64
libudev-147-2.42.el6.x86_64
chkconfig-1.3.49.3-2.el6.x86_64
chkconfig-1.3.49.3-1.el6_2.x86_64
keyutils-libs-1.4-4.el6.x86_64
keyutils-libs-1.4-3.el6.x86_64
glibc-2.12-1.47.el6_2.12.x86_64
glibc-2.12-1.80.el6_3.5.x86_64
tzdata-2012c-3.el6.noarch
tzdata-2012c-1.el6.noarch
coreutils-8.4-19.el6.x86_64
coreutils-8.4-16.el6.x86_64
dbus-libs-1.2.24-7.el6_3.x86_64
dbus-libs-1.2.24-5.el6_1.x86_64
libxml2-2.7.6-4.el6_2.4.x86_64
libxml2-2.7.6-8.el6_3.3.x86_64
abrt-libs-2.0.8-6.el6.x86_64
abrt-libs-2.0.4-14.el6.centos.x86_64
expat-2.0.1-9.1.el6.x86_64
expat-2.0.1-11.el6_2.x86_64
python-2.6.6-29.el6.x86_64
python-2.6.6-29.el6_3.3.x86_64
gtk2-2.18.9-6.el6.centos.x86_64
gtk2-2.18.9-10.el6.x86_64
libcom_err-1.41.12-12.el6.x86_64
libcom_err-1.41.12-11.el6.x86_64
gawk-3.1.7-10.el6.x86_64
gawk-3.1.7-9.el6.x86_64
readline-6.0-4.el6.x86_64
readline-6.0-3.el6.x86_64
glibc-common-2.12-1.80.el6_3.5.x86_64
glibc-common-2.12-1.47.el6_2.12.x86_64
libselinux-2.0.94-5.2.el6.x86_64
libselinux-2.0.94-5.3.el6.x86_64
cups-libs-1.4.2-48.el6_3.1.x86_64
cups-libs-1.4.2-44.el6_2.3.x86_64
nspr-4.9.1-2.el6_3.x86_64
nspr-4.8.9-3.el6_2.x86_64
cagefs-safebin-3.5-1.el6.cloudlinux.x86_64
cagefs-safebin-3.6-6.el6.cloudlinux.x86_64
libuuid-2.17.2-12.4.el6.x86_64
libuuid-2.17.2-12.7.el6.x86_64
xmlrpc-c-1.16.24-1209.1840.el6.x86_64
xmlrpc-c-1.16.24-1200.1840.el6_1.4.x86_64
openssl-1.0.0-20.el6_2.5.x86_64
openssl-1.0.0-25.el6_3.1.x86_64
dhcp-common-4.1.1-25.P1.el6_2.1.x86_64
dhcp-common-4.1.1-31.P1.el6_3.1.x86_64
krb5-libs-1.9-33.el6_3.3.x86_64
krb5-libs-1.9-22.el6_2.1.x86_64
nss-util-3.13.5-1.el6_3.x86_64
nss-util-3.13.1-3.el6_2.x86_64
cloudlinux-release-6-6.2.2.x86_64
cloudlinux-release-6-6.3.0.x86_64
e2fsprogs-libs-1.41.12-11.el6.x86_64
e2fsprogs-libs-1.41.12-12.el6.x86_64
glib2-2.22.5-6.el6.x86_64
glib2-2.22.5-7.el6.x86_64

UPDATE 2

I removed all the dupes and then did update and got this:

Updating   : sudo-1.7.4p5-13.el6_3.x86_64                                                                                                                           79/361
Error in POSTIN scriptlet in rpm package sudo-1.7.4p5-13.el6_3.x86_64
warning: /etc/sudoers created as /etc/sudoers.rpmnew
error: error creating temporary file /var/tmp/rpm-tmp.hjTOqJ: Invalid argument
error: Couldn't create temporary file for %post(sudo-1.7.4p5-13.el6_3.x86_64): Invalid argument
  Updating   : pcre-7.8-6.el6.x86_64                                                                                                                                  80/361
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/yum/rpmtrans.py", line 399, in callback
    self._instCloseFile(  bytes, total, h )
  File "/usr/lib/python2.6/site-packages/yum/rpmtrans.py", line 475, in _instCloseFile
    self.base.history.trans_data_pid_end(pid, state)
  File "/usr/lib/python2.6/site-packages/yum/history.py", line 858, in trans_data_pid_end
    """, ('TRUE', self._tid, pid, state))
  File "/usr/lib/python2.6/site-packages/yum/sqlutils.py", line 168, in executeSQLQmark
    return cursor.execute(query, params)
sqlite3.OperationalError: unable to open database file
error: python callback <bound method RPMTransaction.callback of <yum.rpmtrans.RPMTransaction instance at 0x5c7cfc8>> failed, aborting!

-

[~]# lsattr /var/tmp/
-------------e- /var/tmp/cache_5b07945563e03aec1c44917886fd99a6
-------------e- /var/tmp/sess_6edfafda1a191f6986bd020ed945eea0
-------------e- /var/tmp/sess_1b837feecdd4c9e6aa6ecd81d41fda75
-------------e- /var/tmp/sess_70bec5f392b4f5f75ac444f5c82db2dc
-------------e- /var/tmp/sess_24cd226ba0a370a6d3838a37745b2e15
-------------e- /var/tmp/nginx_proxy
-------------e- /var/tmp/sess_19fb1dd060e42c9de8786ef34d7fcf6e
-------------e- /var/tmp/sess_b4ac777076c5122a6e27d776de0a2fcb
-------------e- /var/tmp/sess_5077441775ef8d07a2185e8fd48a4aa8
-------------e- /var/tmp/cache_4e71d930fe8250e222ae4d1dc39646ff
-------------e- /var/tmp/sess_eb6eb29b38b55b85303c3137611f0a2faa15c21d
-------------e- /var/tmp/sess_81e7e8d93b395f2c8d7e3fe12cc59e56
-------------e- /var/tmp/sess_05c7f305bdbf9a4c7af251d33ac59766
-------------e- /var/tmp/sess_0ad9369063a37b6b399688a835d69ed2
-------------e- /var/tmp/cache_c780deda617678faeea8f8a34395ac27
-------------e- /var/tmp/sess_9773332e3c99ee18dca0b05e8f02a41e
-------------e- /var/tmp/sess_1d9b02b068ea81a3975599ddc12bcfb1
-------------e- /var/tmp/sess_1ffeff444123e924834dc5e80d07571e
-------------e- /var/tmp/sess_aa56725471c84d9a06745c56dc499db7
-------------e- /var/tmp/sess_51e19964d7e1a164c63f4c72fa43475c33debbc0
-------------e- /var/tmp/sess_a83c7a05bb189a465b8813ff9e566aa8f9124079
-------------e- /var/tmp/sess_2f506ba5b77c61107871e8cf80393cdb
-------------e- /var/tmp/sess_7bfe1578605b259ec5e4fd2200df4cd0
-------------e- /var/tmp/sess_f6e47011789d8d48d56dd78a398d98d5719414a7
-------------e- /var/tmp/sess_b7c43a90a8b8d8f02b0fffca77796ce5
-------------e- /var/tmp/sess_6c3e7103453ad4daba815bd96a903785
-------------e- /var/tmp/sess_86f32a22507d8410b3f0fc7d71a135d5
-------------e- /var/tmp/sess_aaf72d3e8cfb2f27ffdff61323f97e7553855a05
-------------e- /var/tmp/sess_5de4488e2ee03ac0f99ab9494573ccb1
-------------e- /var/tmp/sess_716d97bba4abdb38704a9e4212f6fddc
-------------e- /var/tmp/sess_534908a9510a32eda13a5dc95ac022cc
-------------e- /var/tmp/sess_626a58203d93427c79621ea4fec0906d
-------------e- /var/tmp/sess_827ca92d10d3797f2c187c41764a7036
-------------e- /var/tmp/sess_6282962d77f7bead20e785fbdb9a3d8f
-------------e- /var/tmp/cache_b012c8a729fc54a296a700ed92930a0e
-------------e- /var/tmp/sess_631e5ba769773da056108d3fbd143963
-------------e- /var/tmp/cache_30bb7f1333ba5f96a229c91a3385d8b5
-------------e- /var/tmp/sess_93e085706b29c3e4e3593bfe39b1079e
-------------e- /var/tmp/sess_abd78bd6c285d681c90de8c617747ab3
-------------e- /var/tmp/sess_e144544ed925569018e6607b05f43f253f75e2aa
-------------e- /var/tmp/sess_5d3d036c772847a4508d3e100b173d84
-------------e- /var/tmp/sess_f35243d1f40bd8d9ce08940fafc00d93
-------------e- /var/tmp/sess_761c3ffa811b959638ed0b266741eaa4
-------------e- /var/tmp/mm.sem.sNdxjf
-------------e- /var/tmp/sess_006d45dbd807291f7bffbd1db3707ed6
-------------e- /var/tmp/cache_2d0162aac9f87c1978ac644923a5e2fe
-------------e- /var/tmp/sess_22c534418c380b72d105935b59713dd1
-------------e- /var/tmp/sess_94f72ef408567a15f6287c518e93898e
-------------e- /var/tmp/cache_6fe03c83bb87489f3921db1c974dfc0e
-------------e- /var/tmp/sess_48bbfa2a2a8793a62c7fd6a389a2763e
-------------e- /var/tmp/mm.sem.ERERMV
-------------e- /var/tmp/sess_20aba82c03a69b2dc6af66c499c38ee67e27368f
-------------e- /var/tmp/sess_f94fe0589a79c934815ef359bcb0a16c7080d937
-------------e- /var/tmp/sess_460390801eb004593b4dee83779f414e
-------------e- /var/tmp/spamd-52811-init
-------------e- /var/tmp/cache_6427fdb235d59b0b2fbd105bf23d2e87
-------------e- /var/tmp/cache_4ce12d8350d7c0361dc1bf15d552a2d8
-------------e- /var/tmp/sess_039fec2a643340f118b6355e4c836ae8
-------------e- /var/tmp/sess_fa46fa80b26e6cf3d9c7de942d5dbcff
-------------e- /var/tmp/cache_664858e614367812148716536e22d030
-------------e- /var/tmp/sess_4c8d4c44fbd828dc17415ce6aa213115
-------------e- /var/tmp/sess_d231a6c0e5dd4d7bacbf9de3d8bb298f
-------------e- /var/tmp/sess_a82f8a088a8e37d375f6a9fede4a54d2
-------------e- /var/tmp/sess_604697227ae5359e5783dc9407845338
-------------e- /var/tmp/sess_5b4e623536640abe671b40563d03817d
-------------e- /var/tmp/sess_2aba0aff64f3c18f22e0b79d591259e2
-------------e- /var/tmp/sess_bfd52a2d2d80880f8e26ad460739a0494f0d1e9e
-------------e- /var/tmp/sess_ba9f3e3a7c7111930d6b801aaa833b46
-------------e- /var/tmp/sess_5cc8c5b620015a465359359a0805fbdd
-------------e- /var/tmp/sess_84945c41d604b4653a1bf45d83a1917c
-------------e- /var/tmp/sess_5f52569b27430780c07d25cfb8177e5c1ef647f0
-------------e- /var/tmp/sess_45896aef9e77f16be1b3e94b3edb2599
-------------e- /var/tmp/sess_5a67d0ef8f826a2f103b429c8464bdd5f75d6218
-------------e- /var/tmp/sess_1fce98bb32e5b34c79fd5a313de32980
-------------e- /var/tmp/sess_f7ea772ff3fbb1eb2ad8712dd2c49ed8
-------------e- /var/tmp/sess_a9dc16bc5c1eb2768bb2600f0d102fde
-------------e- /var/tmp/mm.sem.3zwRTu
-------------e- /var/tmp/sess_e2cad140703338a4b8c9254ec6b0a1a2
-------------e- /var/tmp/sess_e7c8e85daf9c5424aecb83e066decf31
-------------e- /var/tmp/sess_800f878fa944370f42e76057e7c033e19520bd41
-------------e- /var/tmp/sess_4fdae64eb18599521ace18679795568b
-------------e- /var/tmp/sess_958fb886b97de2e767b059376c4724b5
-------------e- /var/tmp/sess_3c832a31f17744a8bb3c59dde02e561aefbc2e48
-------------e- /var/tmp/sess_6d9d7bf04f34e0d82b101f882196a905
-------------e- /var/tmp/sess_7231c75ae4fad2ca5fbcb6de430a7b13
-------------e- /var/tmp/sess_2eadffa2285def9673ce784395d272d8
-------------e- /var/tmp/cache_2ff353b664d8028df967f807ac18593a
-------------e- /var/tmp/sess_4138a267f1f5e3ad93c1d64547c63134ae7c0db3
-------------e- /var/tmp/sess_64cd9fa0d6af8e8041aafffbe3db986a
-------------e- /var/tmp/tmpg3ycIG
-------------e- /var/tmp/cache_b633ac8283d6de8e39d81160d63fc8cd
-------------e- /var/tmp/sess_2cee03cf5eafd3ef55d8efa1b0390436
-------------e- /var/tmp/sess_608066c609e28621f2a29ac04a3a6441
-------------e- /var/tmp/sess_46dfb35cf8266699ba9304e5d8c6869d
-------------e- /var/tmp/sess_fb202a0ed54cee8832c5f6e0ca7fc1b3
-------------e- /var/tmp/sess_8fe3c5fd8cdda02855e5f9b5a1ea85a4
-------------e- /var/tmp/sess_941376d5cb51e0ba73f9a27ee259c159
-------------e- /var/tmp/sess_4fa17b1eac1d18341d20d0d8d4991ceb
-------------e- /var/tmp/cache_de647c956ca6a1b75744ad194aceaa82
-------------e- /var/tmp/mm.sem.Ugu7Be
-------------e- /var/tmp/sess_656e8a50759d5b36b963e7eb85e0bb0d
-------------e- /var/tmp/sess_983f77b607bbffa1748d6c49557381e9
-------------e- /var/tmp/sess_632860d092e5e374da522ed2f88e83ce
-------------e- /var/tmp/sess_030f900b81cc2a4ad095d53ef3ee0791
-------------e- /var/tmp/yum.log
-------------e- /var/tmp/cache_810174993c6a2c0efe2edbe4c39a4a81
-------------e- /var/tmp/sess_29e2c781643434e81d189fc41f47fd34
-------------e- /var/tmp/tmpE12ahd
-------------e- /var/tmp/sess_935da512fb077e04610266748b3b77f3

-

cat /etc/fstab
/tmp as: loop,rw,noexec,nosuid,nodev
share|improve this question

1 Answer 1

up vote 2 down vote accepted

Can you check to make sure you have free space? Run a df -h to see.

Also check the permissions on the required temporary directories. Run ls -ld /var/tmp/.

Update:

I would just download the offending package directly, OR see if you can install yum-utils (either via yum OR direct download and rpm -ivh yum-utils*).

From there, try:

package-cleanup --dupes
package-cleanup --cleandupes

Then run your yum update again.

share|improve this answer
    
added above to show better. –  Tiffany Walker Oct 3 '12 at 22:47
    
@TiffanyWalker See my edit above. –  ewwhite Oct 3 '12 at 23:01
    
I ran --cleandupes and it wants to remove 166 packages/395MB worth. sound about right? –  Tiffany Walker Oct 3 '12 at 23:23
    
@TiffanyWalker Maybe? What happened leading up to this? Were there any repository changes? Did yum work properly before? Can you run yum repolist? –  ewwhite Oct 3 '12 at 23:26
    
not ran an update in 3-4 months. posted contents up in post. –  Tiffany Walker Oct 3 '12 at 23:28

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.